@import "Mixins";

$base: 12px;

@mixin sudoku() {

  .effect-1 {
    @include secondary-1();
  }

  .effect-2 {
    @include secondary-found();
  }

  .effect-3 {
    @include secondary-3();
  }

  .effect-4 {
    @include secondary-forbidden();
  }

  .effect-5 {
    @include secondary-5();
  }

  .effect-6 {
    @include secondary-6();
  }

  .effect-7 {
  }

  .effect-8 {
    font-weight: normal !important;
    @include secondary-5();
  }

  .grid-stepper {
    h3 {
      cursor: pointer;
      @include latoBold();
    }

    .title-container {
      //padding-left: 20px;
      padding-top: 20px;
      padding-bottom: 10px;
      display: flex;

      .deploy {
        width: 20px;
        height: 20px;
        position: relative;
        left: -10px;
        top: 3px;
      }

      .deploy-small {
        top: 0;
      }
    }

    .deploy {

      border: solid 1px gray;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;

      &.primary {
        @include primary-color();
      }
    }

    .content-container {
      border-left: solid 1px gray;
      padding-left: 20px;
      padding-bottom: 20px;
    }

    .grids-container {
      border-left: solid 1px gray;
      padding-left: 20px;
      display: flex;
      flex-direction: column;
      @include mediaTwoColumnScreen() {
        flex-direction: row;
      }
      flex-wrap: nowrap;
      margin-bottom: 40px;
    }
  }
  .grid-wrapper {
    display: grid;
    grid-template-columns: 2*$base repeat(9, 4*$base);
    grid-template-rows: 2*$base repeat(9, 4*$base);
    margin: 30px auto;
    @include mediaTwoColumnScreen() {
      margin: 0 60px 0 0;
    }

    .center {
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
  .grid {

    display: grid;
    grid-template-columns: repeat(9, 4*$base);
    grid-template-rows: repeat(9, 4*$base);
    grid-column: 2 / span 9;
    grid-row: 2 / span 9;
    width: 9*4*$base;
    height: 9*4*$base;

    button, input, option, label, select {
      margin: 10px;
      padding: 10px;
      font-weight: bold;
      cursor: pointer;
      text-align: center;
    }

    .grid-name-input {
      width: 200px;
    }

    option, label {
      //font-size: 1.3em;
      margin: 5px;
      padding: 5px;
    }

    .block-border-right {
      border-right: solid 2px !important;
    }

    .block-border-left {
      border-left: solid 2px !important;
    }

    .block-border-top {
      border-top: solid 2px !important;
    }

    .block-border-bottom {
      border-bottom: solid 2px !important;
    }

    .case {

      border: solid 1px darkgray;
    }

    .big {
      font-size: 1.4em;
      font-weight: bold;

      input {
        width: 3*$base;
        height: 3*$base;
      }

      .annotation {
        font-size: 0.4em;
        width: 0;
        position: relative;
        top: 1.25 * $base;
        left: - 2.25 * $base;
      }
    }

    .detailed {
      display: grid;
      grid-template-columns: 3*$base $base;
      grid-template-rows: 3*$base $base;
      font-size: 0.6em;
    }

    .kumi-kata {
      display: grid;
      grid-template-columns: repeat(3, $base);
      grid-template-rows: repeat(3, $base);
      grid-column: 1 / span 1;
      grid-row: 1 / span 1;
    }

    .mini-case {
      color: gray;
      //cursor: pointer;
      padding: 1px 1px 5px;
    }

    .locked-horizontal {
      display: flex;
      grid-column: 1 / span 2;
      grid-row: 2 / span 1;

      .annotation {
        flex-grow: 2;
        text-align: right;
        padding-right: 3px;
      }
    }
  }
}